お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2011-10-01 23:13:01

tomo1853
新しいメンバ
登録日: 2011-10-01

/etc/apt/sources.listと入力するとPermission deniedと表示される

NetwalkerのPC-Z1Jを使っています。Ubuntu 9.04です。
sudo apt-get update入力すると最後の方に
"いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。"と表示されました。
ミラーサーバである jp.archive.ubuntu.com が ubuntutym.u-toyama.ac.jp に変更されたからだと思ったので
/etc/apt/sources.listを開いてjp.archive.ubuntu.com を ubuntotym.u-toyama.ac.jp に変えようと試みました。
しかし/etc/apt/sources.listと入力するとPermission deniedと表示されてしまいました。
https://wiki.ubuntulinux.jp/UbuntuTips/Application/PackageManagementSystem/SwitchArchiveMirrorを見て設定を変えてみようと思いましたが
Netwalkerの画面と表示が全く違っていてできませんでした。
どうやれば解決できるのでしょうか。宜しくお願いします。

オフライン

 

#2 2011-10-02 00:13:46

vbk
メンバ
From: Lake Hamana in Hamamatsu
登録日: 2009-12-22

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

リンク先には

なお、2008年8月8日以降 jp.archive.ubuntu.com と ubuntutym.u-toyama.ac.jp は同じサーバです。

とあるので、原因は別にあると思います。(ubuntutym.u-toyama.ac.jpに変更したところであまり意味はありません。)
sudo apt-get updateによって表示されたメッセージや/etc/apt/sources.listの内容を掲示板に貼り付ければ、はっきりとした原因が分かるかもしれません。

tomo1853 による投稿:

しかし/etc/apt/sources.listと入力するとPermission deniedと表示されてしまいました。

/etc/apt/sources.listは端末に入力したんですかね?
端末はプログラムを実行するものなので、sources.listのようなテキストファイルを編集するにはgeditやviといったテキストエディタで開く必要があります。
また、/etc/apt/sources.listを操作するには管理者権限が必要なので、コマンドの前にsudoやgksuを付け加えてパスワード認証する必要があります。

・sudoやgksu等に関する詳細は https://wiki.ubuntulinux.jp/UbuntuTips/Others/RootSudo を参照してください。

/etc/apt/sources.listを編集したい場合は、具体的には以下のように入力します。
geditを使う場合:

コード:

$ gksu gedit /etc/apt/sources.list

viを使う場合:

コード:

$ sudo vi /etc/apt/sources.list

Ubuntu is a tool for everything.
Of course, I can everything with Ubuntu!

オフライン

 

#3 2011-10-02 06:03:03

hellfire
メンバ
From: 日本/兵庫県
登録日: 2006-11-21

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

tomo1853 様へ.

お使いの PC の Ubuntu 9.04 は既にサポートが終了しています.
http://www.ubuntulinux.jp/products/WhatIsUbuntu

Windows を使っているとサポート面はあまり気にならないかもしれませんが,
Ubuntu の場合,セキュリティフィックスの他,アプリケーションもリポジトリから
ダウンロードができなくなるというユーザでも自覚できる症状に遭遇します.

9.04 のリポジトリサーバの状態がどのようなのかは当方でははっきりと
わかりませんが,リポジトリサーバ内の 9.04 用のパッケージが
削除されているのではないでしょうか?


解決する手段としては,現状サポートされているバージョンに
アップグレードするのが良いかと思われます.


* Linux Mint 17.3 (64 bit) with BTO PC (Intel Core i5-2500S, Mem 16GB, GeForce GTX 650 Ti)
* Linux Mint 17.2 (64 bit) with Lenovo Ideapad U310 (Intel Core i5-3317U, Mem 8 GB)

オフライン

 

#4 2011-10-02 07:57:20

kapper
メンバ
登録日: 2010-12-12

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

hellfire様へ

Netwalkerの実機はお持ちでしょうか?
x86の場合確かにそうですが、NetwalkerやDreamplugなど一部のARM機種は、
Jaunty以外のバージョンはメーカーからサポート対応外でありまして、
Licid等にfull-upgradeを掛けると必ず動作しなくなります。
またNetwalkerもシャープから2012年5月までアップデートされる事が記載されております。
Jaunty環境でも一応公式には対応されている状況でございます。
http://www.sharp.co.jp/support/mit/soft_update.html

一部ARM機種のサポート現状を正しくご理解頂いた上で、
ご指導下さいます様、何卒節に宜しくお願い申し上げます。

下記ブログにてご報告させて頂きました内容を一度試して見て下さい。
本来シャープのレポジトリにありますJaunty-end-of-lifeパッケージを入れることによりまして、
aptかaptitudeで自動的に切り替わるはずなんですが、
切り替わらない場合は手作業にて変更しましょう。
NetwalkerではJaunty環境は生命線です。
Sharpのサポートがある限り一緒に頑張って使いましょう。

モバイルUbuntu、NetWalker登場 アップデートマネージャエラー対策 リポジトリ設定編 その120
http://plaza.rakuten.co.jp/kapper1224/diary/201108230000/

過去のご報告内容は下記に記録しておりますので是非一読願います。
Netwalker実験所
http://kapper1224.sakura.ne.jp/PALM20.html

オフライン

 

#5 2011-10-02 22:28:04

tomo1853
新しいメンバ
登録日: 2011-10-01

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

返事が遅れました。質問している身なのにすみませんでした。
sudo apt-get updateを入力すると

エラー http://netbook-remix.archive.canonical.com jaunty-araneo-kernel Release.gpg
  'netbook-remix.archive.canonical.com' を解決できませんでした
エラー http://netbook-remix.archive.canonical.com jaunty-araneo-kernel/public Translation-ja
  'netbook-remix.archive.canonical.com' を解決できませんでした
エラー http://netbook-remix.archive.canonical.com jaunty-araneo Release.gpg
  'netbook-remix.archive.canonical.com' を解決できませんでした
エラー http://netbook-remix.archive.canonical.com jaunty-araneo/public Translation-ja
  'netbook-remix.archive.canonical.com' を解決できませんでした
エラー http://old-releases.ubuntu.com jaunty Release.gpg
  'old-releases.ubuntu.com' を解決できませんでした
エラー http://old-releases.ubuntu.com jaunty/main Translation-ja
  'old-releases.ubuntu.com' を解決できませんでした
エラー http://old-releases.ubuntu.com jaunty/universe Translation-ja
  'old-releases.ubuntu.com' を解決できませんでした
エラー http://old-releases.ubuntu.com jaunty/multiverse Translation-ja
  'old-releases.ubuntu.com' を解決できませんでした
エラー http://old-releases.ubuntu.com jaunty/restricted Translation-ja
  'old-releases.ubuntu.com' を解決できませんでした
パッケージリストを読み込んでいます... 完了
W: http://old-releases.ubuntu.com/ubuntu/dists/jaunty/Release.gpg の取得に失敗しました  'old-releases.ubuntu.com' を解決できませんでした

W: http://old-releases.ubuntu.com/ubuntu/dists/jaunty/main/i18n/Translation-ja.bz2 の取得に失敗しました  'old-releases.ubuntu.com' を解決できませんでした

W: http://old-releases.ubuntu.com/ubuntu/dists/jaunty/universe/i18n/Translation-ja.bz2 の取得に失敗しました  'old-releases.ubuntu.com' を解決できませんでした

W: http://old-releases.ubuntu.com/ubuntu/dists/jaunty/multiverse/i18n/Translation-ja.bz2 の取得に失敗しました  'old-releases.ubuntu.com' を解決できませんでした

W: http://old-releases.ubuntu.com/ubuntu/dists/jaunty/restricted/i18n/Translation-ja.bz2 の取得に失敗しました  'old-releases.ubuntu.com' を解決できませんでした

W: http://netbook-remix.archive.canonical.com/updates/dists/jaunty-araneo-kernel/Release.gpg の取得に失敗しました  'netbook-remix.archive.canonical.com' を解決できませんでした

W: http://netbook-remix.archive.canonical.com/updates/dists/jaunty-araneo-kernel/public/i18n/Translation-ja.bz2 の取得に失敗しました  'netbook-remix.archive.canonical.com' を解決できませんでした

W: http://netbook-remix.archive.canonical.com/updates/dists/jaunty-araneo/Release.gpg の取得に失敗しました  'netbook-remix.archive.canonical.com' を解決できませんでした

W: http://netbook-remix.archive.canonical.com/updates/dists/jaunty-araneo/public/i18n/Translation-ja.bz2 の取得に失敗しました  'netbook-remix.archive.canonical.com' を解決できませんでした


と表示されました。

https://wiki.ubuntulinux.jp/UbuntuTips/Install/UpgradeKarmic  ここのサイトを見て今,9.04から9.10にアップグレードしています。また状況を報告します。

W: いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。
W: これらの問題を解決するためには apt-get update を実行する必要があるかもしれません

オフライン

 

#6 2011-10-02 22:41:54

tomo1853
新しいメンバ
登録日: 2011-10-01

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

tomo1853です。
https://wiki.ubuntulinux.jp/UbuntuTips/Install/UpgradeKarmic
を見て9.04から9.10にアップグレードしようと思いました。

1.[システム] - [システム管理] - [アップデート・マネージャ]を開きます。
2.再チェックボタンをクリックして新しいアップデートを確認します。
3.インストールすべきアップデートがあれば、アップデートをインストールするボタンを使って、パッケージをアップデートし、アップデートが終わった後に再び再チェックボタンを押します。
4.新しいリリースが利用できる事を通知するメッセージが現れるでしょう。

と書いてあり、手順1,2,3は出来ましたが手順4で新しいリリースが利用できる事を通知するメッセージが出てきませんでした。
代わりに

"再起動が必要です

システムのアップデートを完了するために、再起動が必要です。

再起動するまで、セキュリティアップデートは完全に適用されません。また、新たに接続されたハードウェアおよびサポートされたハードウェアは機能しない可能性があり、新たに導入されたサービスは動作しない可能性があります。

再起動前に、変更をすべて保存したことを確認してください。"

と表示されました。今度はosをダウンロードしようと思っています。
アドバイスがあればお願いします。

オフライン

 

#7 2011-10-02 23:13:13

vbk
メンバ
From: Lake Hamana in Hamamatsu
登録日: 2009-12-22

Re: /etc/apt/sources.listと入力するとPermission deniedと表示される

tomo1853 による投稿:

'netbook-remix.archive.canonical.com' を解決できませんでした

リポジトリのサーバーにアクセスできないようですね。
自分の環境ではnetbook-remix.archive.canonical.comにアクセスできるので、インターネット接続の設定が正しくできているか確認してください。

====

tomo1853 による投稿:

1.[システム] - [システム管理] - [アップデート・マネージャ]を開きます。
2.再チェックボタンをクリックして新しいアップデートを確認します。
3.インストールすべきアップデートがあれば、アップデートをインストールするボタンを使って、パッケージをアップデートし、アップデートが終わった後に再び再チェックボタンを押します。
4.新しいリリースが利用できる事を通知するメッセージが現れるでしょう。

と書いてあり、手順1,2,3は出来ましたが手順4で新しいリリースが利用できる事を通知するメッセージが出てきませんでした。

kapperさんも書かれていますが、NetWalkerは基本的に9.04を継続してサポートし、9.04以外はサポート対象外となるため、通常のパソコンのようにディストリビューションのアップグレードのメッセージも表示されません。

メッセージ通り再起動し、アップデートを適用してください。


Ubuntu is a tool for everything.
Of course, I can everything with Ubuntu!

オフライン

 

Board footer

Powered by FluxBB